Where are the .NET 3.5 assemblies for the Migration Tool? - Upgrading Sitefinity - Upgrading Sitefinity - Progress Community
 Upgrading Sitefinity

Where are the .NET 3.5 assemblies for the Migration Tool?

  • Where are the .NET 3.5 assemblies for the Migration Tool?
  • I've already seen a few people ask this.  Sitefinity 3 can run on .NET 3.5 or .NET 4.0.  However, the Migration Tool only includes Sitefinity 3 assemblies for .NET 4.0.  Which means these assemblies don't work for anyone who is running Sitefinity 3 in a .NET 3.5 environment.

    I asked the team about this and was told that we are currently targeting .NET 4.0 with the Alpha.  There was some belief, internally, that upgrading from .NET 3.5 to .NET 4.0 is trivial.  Consequently, it wouldn't be terribly difficult to get Sitefinity 3 running on .NET 4.0 and then use the included .NET 4.0 assemblies.

    However, I'm interested in reactions to this.  What % of your are still running on .NET 3.5?  Is it impossible/difficult for this environment to be upgraded?  Thoughts?

    Gabe Sumner
    Telerik | Sitefinity CMS
  • In our current .NET 3.5 environment, it is impossible for us to upgrade SF 3.7 to .NET 4.0 because of some major dependencies on .NET 2.0/3.5 assemblies in use by a mission-critical piece of code required to interop with our backend AMS and we have several partners who require that we use their .NET 2-3.5 assemblies to communicate with them rather than use web services/WCF.

    The work we've done on the new SF 4.x site have these abstracted out so we can still be .NET 4, but I am highly disappointed that we're essentially being asked to go through the upgrade process twice (3.7 .net 3.5 -> 3.7 .net 4 -> 4.2) and do throwaway work to make it happen. Any work we continue to do on 3.x is throwaway work.
  • Great background Michael.  I'll relay this to the team.

    Gabe Sumner
    Telerik | Sitefinity CMS
  • Hello,

    Based on your feedback, we will provide .NET3.5 assemblies with the next release. It's most probably going to be internal build, but we will also include in the official service packs or versions from now on. 

    We won't be able to provide .NET2.0 assemblies though, since the web services for the 3.7 part are based on WCF, which is not available in .NET.20.

    I hope this helps.

    Regards,
    Georgi
    the Telerik team
    Do you want to have your say in the Sitefinity development roadmap? Do you want to know when a feature you requested is added or when a bug fixed? Explore the Telerik Public Issue Tracking system and vote to affect the priority of the items
  • Can you provide a rough timeline that the .NET3.5 assemblies will be released?
  • Hi Juan Sola,

    We will provide them with the next internal build. This will happen in the end of the next week, or the week after that. Roughly said, in 2 weeks.

    All the best,
    Georgi
    the Telerik team
    Do you want to have your say in the Sitefinity development roadmap? Do you want to know when a feature you requested is added or when a bug fixed? Explore the Telerik Public Issue Tracking system and vote to affect the priority of the items
  • Hey Georgi,

    Any news on this?? I have not seen any announcements for this, maybe I missed it?
  • Hi Juan Sola,

    Please find the latest internal build available for download in your client account. Please nto that we've also addressed this int he release notes to the internal build in question "This Internal build improves the migration for Pages, Libraries and News. As a result of popular demand, Sitefinity 3.x .NET3.5 is now supported. There are number of bug fixes and improvements in Sitefinity as well."

    All the best,
    Boyan Barnev
    the Telerik team
    Do you want to have your say in the Sitefinity development roadmap? Do you want to know when a feature you requested is added or when a bug fixed? Explore the Telerik Public Issue Tracking system and vote to affect the priority of the items
  • Hi Boyan / Telerik team

    Is Sitefinity 4.4 compatible with .net 3.5?

    When I build my Sf 4.4 site versus .net 3.5, I get the following error:

     'Telerik.Sitefinity.Model, Version=4.4.2117.0, Culture=neutral, PublicKeyToken=b28c218413bdf563' uses 'System.Runtime.Serialization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089' which has a higher version than referenced assembly 'System.Runtime.Serialization, Version=3.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089'  
         

    Looking forward to your reply
    Yosief
  • Hello,

    Sitefinity 4.x supports only .NET 4.0

    Kind regards,
    Ivan Dimitrov
    the Telerik team
    Do you want to have your say in the Sitefinity development roadmap? Do you want to know when a feature you requested is added or when a bug fixed? Explore the Telerik Public Issue Tracking system and vote to affect the priority of the items
  • @Yosief as Ivan pointed out Sitefinity now runs only on asp.net 4.0. The asp.net 3.5 assemblies refer to the Migration Service that is installed to an existing Sitefinity 3.7 site running on asp.net 3.5 so that you can migrate that content to a new Sitefinity 4+ website.

    I apologize if this caused any confusion.